package cz.moneta.test.dsl.mwf.residencyaddress;

import cz.moneta.test.harness.support.mwf.MwfRequest;
import cz.moneta.test.harness.support.mwf.Parameter;

public interface MWFGA5 extends MwfRequest<MWFGA5, MWFGA5Response> {

    @Parameter(name = "Adresat")
    MWFGA5 adresat(String adresat);
    @Parameter(name = "BusinessUpdateDate")
    MWFGA5 businessUpdateDate(java.util.Date businessUpdateDate);
    @Parameter(name = "CIF")
    MWFGA5 cif(String cif);
    @Parameter(name = "CisloOrientacni")
    MWFGA5 cisloOrientacni(String cisloOrientacni);
    @Parameter(name = "CisloPopisne")
    MWFGA5 cisloPopisne(String cisloPopisne);
    @Parameter(name = "Ctvrt")
    MWFGA5 ctvrt(String ctvrt);
    @Parameter(name = "Data")
    MWFGA5 data(java.util.List<MWFGA5Data> data);
    @Parameter(name = "DistribucniKanal")
    MWFGA5 distribucniKanal(String distribucniKanal);
    @Parameter(name = "ICO")
    MWFGA5 ico(String ico);
    @Parameter(name = "Mesto")
    MWFGA5 mesto(String mesto);
    @Parameter(name = "Okres")
    MWFGA5 okres(String okres);
    @Parameter(name = "PSC")
    MWFGA5 psc(String psc);
    @Parameter(name = "Posta")
    MWFGA5 posta(String posta);
    @Parameter(name = "RC")
    MWFGA5 rc(String rc);
    @Parameter(name = "SSO")
    MWFGA5 sso(String sso);
    @Parameter(name = "SekundarniUrednik")
    MWFGA5 sekundarniUrednik(String sekundarniUrednik);
    @Parameter(name = "SuperkontaktniAdresa_Flag")
    MWFGA5 superkontaktniAdresaFlag(String superkontaktniAdresaFlag);
    @Parameter(name = "UID")
    MWFGA5 uid(Long uid);
    @Parameter(name = "Ulice")
    MWFGA5 ulice(String ulice);
    @Parameter(name = "Zeme")
    MWFGA5 zeme(String zeme);
}